Table of Contents

Class: IReactorSSL | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
Base Classes |
--- | ---
Interface
Methods |
--- | ---
clientSSL listenSSL
| clientSSL
    clientSSL (
            self,
            host,
            port,
            protocol,
            contextFactory,
            timeout=30,
            )
Connect a client Protocol to a remote SSL socket.
| listenSSL
    listenSSL (
            self,
            port,
            factory,
            ctxFactory,
            backlog=5,
            interface='',
            )
Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0